#include<bits/stdc++.h>
using namespace std;
unsigned long long a,b,k;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin>>a>>b>>k;
    cout<<(b/k)-(a/k)+((b-a-((b/k)-(a/k)))/2)<<"\n";
    return 0;
}